Bug 1264649 - Suspend won't work until logged in once to X [NEEDINFO]
Suspend won't work until logged in once to X
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
22
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-19 17:07 EDT by Máté Wierdl
Modified: 2015-11-23 12:21 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-23 12:21:50 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jforbes: needinfo?


Attachments (Terms of Use)

  None (edit)
Description Máté Wierdl 2015-09-19 17:07:15 EDT
Description of problem:

When I boot my laptop(s), and close the lid, suspend doesn't work.  After I log in to via gdm, it works---even if I log out of Gnome.

Logging in at a virtual terminal doesn't help.  I have to log in to the graphical interface.  

This is more than an annoyance: when I update that includes a kernel update, the machine reboots.  I close the lid after the update, and a few hours later,  I find the battery empty. 

I see this on three laptops running 2 different Fedoras:

Lenovo Carbon X, running Fedora 22
Acer C720, running Fedora 22
Acer C720, running Fedora 20

Version-Release number of selected component (if applicable):
Is suspect, it's managed by the kernel.  

$ uname -a
Linux apux1 4.1.6-200.fc22.x86_64 #1 SMP Mon Aug 17 19:54:31 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux


How reproducible:

Always
Steps to Reproduce:
1. reboot
2. Close lid
3.  Verify that suspend didn't happen

Actual results:
No suspension

Expected results:
Suspension (like suspend light comes up, battery doesn't die, etc)

Additional info:

Even the chromebooks have stock Fedora on them since they have their firmware replaced.
Comment 1 Justin M. Forbes 2015-10-20 15:37:14 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 22 kernel bugs.

Fedora 22 has now been rebased to 4.2.3-200.fc22.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 23, and are still experiencing this issue, please change the version to Fedora 23.

If you experience different issues, please open a new bug report for those.
Comment 2 Fedora Kernel Team 2015-11-23 12:21:50 EST
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in over 4 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.

Note You need to log in before you can comment on or make changes to this bug.